VocabularyTermImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: VocabularyTermImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class VocabularyTermImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyTermImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`

Direct Known Subclasses:
  `VocabularyTerm`

public class VocabularyTermImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VocabularyTermImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.VocabularyTerm vocabularyTerm)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `String`
  `getDescription()`
  `String`
  `getLabel()`
  `Long`
  `getOrdinal()`
  `String`
  `getUrl()`
  `protected ch.systemsx.cisd.openbis.generic.shared.basic.dto.VocabularyTerm`
  `getVocabularyTerm()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VocabularyTermImmutable

    public VocabularyTermImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.VocabularyTerm vocabularyTerm)

- ## Method Details

  - ### getVocabularyTerm

    protected ch.systemsx.cisd.openbis.generic.shared.basic.dto.VocabularyTerm getVocabularyTerm()

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`

  - ### getLabel

    public String getLabel()
    Specified by:
      `getLabel` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`

  - ### getUrl

    public String getUrl()
    Specified by:
      `getUrl` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`

  - ### getOrdinal

    public Long getOrdinal()
    Specified by:
      `getOrdinal` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`